Tweak crb script, check os-release for RHEL (#2186721)

epel8 imports/epel8/epel-release-8-19.el8
Troy Dawson 2 years ago
parent 0bc07d5d20
commit 70aa753df4

24
crb

@ -42,19 +42,19 @@ enable_disable_repo(){
crb_repo=$(dnf repolist --all | grep -i -e crb -e powertools -e codeready | grep -v -i -e debug -e source -e eus -e virt | awk '{print $1}')
# Determine if we are on RHEL or not, then do the correct steps
if echo "${crb_repo}" | grep -q "codeready" ; then
# Only RHEL has a repo with codeready in it, use subcription-manager
subscription-manager repos ${command} ${crb_repo}
source /etc/os-release
if [[ "${NAME}" =~ "Red Hat" ]] ; then
subscription-manager repos ${command} ${crb_repo}
else
# Determine if dnf-command(config-manager) is installed
if ! rpm -q --whatprovides 'dnf-command(config-manager)' > /dev/null 2>&1 ; then
echo "Error: Please run: dnf install 'dnf-command(config-manager)'" >&2
echo " before trying to enable/disable the CRB repo." >&2
echo "Aborting"'!' >&2
exit 1
fi
# Everything else uses dnf config-manager
dnf config-manager ${command} ${crb_repo}
# Determine if dnf-command(config-manager) is installed
if ! rpm -q --whatprovides 'dnf-command(config-manager)' > /dev/null 2>&1 ; then
echo "Error: Please run: dnf install 'dnf-command(config-manager)'" >&2
echo " before trying to enable/disable the CRB repo." >&2
echo "Aborting"'!' >&2
exit 1
fi
# Everything else uses dnf config-manager
dnf config-manager ${command} ${crb_repo}
fi
}

@ -1,6 +1,6 @@
Name: epel-release
Version: 8
Release: 18%{dist}
Release: 19%{dist}
Summary: Extra Packages for Enterprise Linux repository configuration
License: GPLv2
@ -98,6 +98,9 @@ fi
%changelog
* Mon Apr 17 2023 Troy Dawson <tdawson@redhat.com> - 8-19
- Tweak crb script, check os-release for RHEL (#2186721)
* Thu Sep 29 2022 Carl George <carl@george.computer> - 8-18
- Disable epel-modular repo by default
- Mark all epel-modular repos as deprecated

Loading…
Cancel
Save